elm::widget_item Struct Reference

Public Member Functions
elm::widget_item Struct Reference

Class widget_item. More...

## Public Member Functions
| widget_item (Eo *eo)
| Eo Constructor. More...
| widget_item (std::nullptr_t)
| nullptr_t Constructor. More...
| widget_item (widget_item const &other)
| Copy Constructor.
void | access_order_set (::efl::eina::list< ::evas::object > objs_) const
void | tooltip_text_set (::efl::eina::string_view text_) const
::evas::object | part_content_unset (::efl::eina::string_view part_) const
void | signal_callback_add (::efl::eina::string_view emission_, ::efl::eina::string_view source_, Elm_Object_Item_Signal_Cb func_, void *data_) const
void * | signal_callback_del (::efl::eina::string_view emission_, ::efl::eina::string_view source_, Elm_Object_Item_Signal_Cb func_) const
void | signal_emit (::efl::eina::string_view emission_, ::efl::eina::string_view source_) const
void | access_info_set (::efl::eina::string_view txt_) const
void | domain_translatable_part_text_set (::efl::eina::string_view part_, ::efl::eina::string_view domain_, ::efl::eina::string_view label_) const
::efl::eina::string_view | translatable_part_text_get (::efl::eina::string_view part_) const
void | domain_part_text_translatable_set (::efl::eina::string_view part_, ::efl::eina::string_view domain_, bool translatable_) const
void | del_cb_set (Evas_Smart_Cb del_cb_) const
void | tooltip_content_cb_set (Elm_Tooltip_Item_Content_Cb func_, const void *data_, Evas_Smart_Cb del_cb_) const
::evas::object | focus_next_object_get (Elm_Focus_Direction dir_) const
void | focus_next_object_set (::evas::object next_, Elm_Focus_Direction dir_) const
Elm_Object_Item * | focus_next_item_get (Elm_Focus_Direction dir_) const
void | focus_next_item_set (Elm_Object_Item *next_item_, Elm_Focus_Direction dir_) const
| widget_item (::efl::eo::parent_type _p)
| Constructs a new elm::widget_item object. More...

## Detailed Description

Class widget_item.

## Constructor & Destructor Documentation

## ◆ widget_item() [1/3]

elm::widget_item::widget_item | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::widget_item object.

Constructs a new elm::widget_item object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::widget_item my_widget_item(efl::eo::parent = parent_object);

See also
  widget_item(Eo* eo)

## ◆ widget_item() [2/3]

elm::widget_item::widget_item | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ widget_item() [3/3]

elm::widget_item::widget_item | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ access_info_set()

void elm::widget_item::access_info_set | ( | ::efl::eina::string_view | txt_ | ) | const

Parameters

  txt |

## ◆ access_order_set()

void elm::widget_item::access_order_set | ( | ::efl::eina::list< ::evas::object > | objs_ | ) | const

Parameters

  objs |

## ◆ del_cb_set()

void elm::widget_item::del_cb_set | ( | Evas_Smart_Cb | del_cb_ | ) | const

Parameters

  del_cb |

## ◆ domain_part_text_translatable_set()

void elm::widget_item::domain_part_text_translatable_set | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | domain_,
|  | bool | translatable_
| ) |  | const

Parameters

  part |
  domain |
  translatable |

## ◆ domain_translatable_part_text_set()

void elm::widget_item::domain_translatable_part_text_set | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | domain_,
|  | ::efl::eina::string_view | label_
| ) |  | const

Parameters

  part |
  domain |
  label |

## ◆ focus_next_item_get()

Elm_Object_Item* elm::widget_item::focus_next_item_get | ( | Elm_Focus_Direction | dir_ | ) | const

Parameters

  dir |

## ◆ focus_next_item_set()

void elm::widget_item::focus_next_item_set | ( | Elm_Object_Item * | next_item_,
|  | Elm_Focus_Direction | dir_
| ) |  | const

Parameters

  next_item |
  dir |

## ◆ focus_next_object_get()

::evas::object elm::widget_item::focus_next_object_get | ( | Elm_Focus_Direction | dir_ | ) | const

Parameters

  dir |

## ◆ focus_next_object_set()

void elm::widget_item::focus_next_object_set | ( | ::evas::object | next_,
|  | Elm_Focus_Direction | dir_
| ) |  | const

Parameters

  next |
  dir |

## ◆ part_content_unset()

::evas::object elm::widget_item::part_content_unset | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

## ◆ signal_callback_add()

void elm::widget_item::signal_callback_add | ( | ::efl::eina::string_view | emission_,
|  | ::efl::eina::string_view | source_,
|  | Elm_Object_Item_Signal_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  emission |
  source |
  func |
  data |

## ◆ signal_callback_del()

void* elm::widget_item::signal_callback_del | ( | ::efl::eina::string_view | emission_,
|  | ::efl::eina::string_view | source_,
|  | Elm_Object_Item_Signal_Cb | func_
| ) |  | const

Parameters

  emission |
  source |
  func |

## ◆ signal_emit()

void elm::widget_item::signal_emit | ( | ::efl::eina::string_view | emission_,
|  | ::efl::eina::string_view | source_
| ) |  | const

Parameters

  emission |
  source |

## ◆ tooltip_content_cb_set()

void elm::widget_item::tooltip_content_cb_set | ( | Elm_Tooltip_Item_Content_Cb | func_,
|  | const void * | data_,
|  | Evas_Smart_Cb | del_cb_
| ) |  | const

Parameters

  func |
  data |
  del_cb |

## ◆ tooltip_text_set()

void elm::widget_item::tooltip_text_set | ( | ::efl::eina::string_view | text_ | ) | const

Parameters

  text |

## ◆ translatable_part_text_get()

::efl::eina::string_view elm::widget_item::translatable_part_text_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |